Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityModelPolicy Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::PriorityModelPolicy:

[legend]
Collaboration diagram for RTCORBA::PriorityModelPolicy:

[legend]
List of all members.

## Public Types
typedef PriorityModelPolicy_ptr | _ptr_type
typedef PriorityModelPolicy_var | _var_type
## Public Methods
virtual::RTCORBA::PriorityModel | priority_model (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual RTCORBA::Priority | server_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
PriorityModelPolicy_ptr | _duplicate (PriorityModelPolicy_ptr obj)
PriorityModelPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PriorityModelPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PriorityModelPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute PriorityModel | priority_model
readonly attribute Priority | server_priority
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| PriorityModelPolicy (void)
virtual | ~PriorityModelPolicy (void)
## Private Methods
| PriorityModelPolicy (const PriorityModelPolicy &)
void | operator= (const PriorityModelPolicy &)

## Member Typedef Documentation

typedef PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef PriorityModelPolicy_var RTCORBA::PriorityModelPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::PriorityModelPolicy::PriorityModelPolicy | ( | void |  | ) | `[protected]`

virtual RTCORBA::PriorityModelPolicy::~PriorityModelPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::PriorityModelPolicy::PriorityModelPolicy | ( | const PriorityModelPolicy & |  | ) | `[private]`

## Member Function Documentation

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_duplicate | ( | PriorityModelPolicy_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::PriorityModelPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* RTCORBA::PriorityModelPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PriorityModelPolicy::operator= | ( | const PriorityModelPolicy & |  | ) | `[private]`

virtual ::RTCORBA::PriorityModel RTCORBA::PriorityModelPolicy::priority_model | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_PriorityModelPolicy.

virtual RTCORBA::Priority RTCORBA::PriorityModelPolicy::server_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_PriorityModelPolicy.

## Member Data Documentation

int RTCORBA::PriorityModelPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute PriorityModel RTCORBA::PriorityModelPolicy::priority_model

readonly attribute Priority RTCORBA::PriorityModelPolicy::server_priority

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h